## apt 2.9.26.0nosystemd1

=== CMakeLists.txt ===
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>.
# Licensed under the same terms as APT; i.e. GPL 2 or later.

# set minimum version
cmake_minimum_required(VERSION 3.13)
project(apt)
# Generic header locations
include_directories(${PROJECT_BINARY_DIR}/include)


enable_testing()

option(REQUIRE_MERGED_USR "Require merged-usr." ON)
option(WITH_DOC "Build all documentation." ON)
include(CMakeDependentOption)
cmake_dependent_option(WITH_DOC_MANPAGES "Force building manpages." OFF "NOT WITH_DOC" OFF)
cmake_dependent_option(WITH_DOC_GUIDES "Force building guides." OFF "NOT WITH_DOC" OFF)
cmake_dependent_option(WITH_DOC_DOXYGEN "Force building doxygen documentation." OFF "NOT WITH_DOC" OFF)
cmake_dependent_option(WITH_DOC_EXAMPLES "Force building example configurations." OFF "NOT WITH_DOC" OFF)
option(WITH_TESTS "Build tests" ON)
option(USE_NLS "Localisation support." ON)

set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/CMake")

# Add coverage target
set(CMAKE_CXX_FLAGS_COVERAGE "-g -fprofile-arcs -ftest-coverage")
set(CMAKE_EXE_LINKER_FLAGS_COVERAGE "-lgcov")
set(CMAKE_SHARED_LINKER_FLAGS_COVERAGE "-lgcov")

# Work around bug in GNUInstallDirs
if (EXISTS "/etc/debian_version")
  set(CMAKE_INSTALL_LIBEXECDIR "lib")
endif()

# Include stuff
include(Misc)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckStructHasMember)
include(GNUInstallDirs)
include(TestBigEndian)
find_package(Threads REQUIRED)
find_package(LFS REQUIRED)
find_package(Iconv REQUIRED)

find_package(Perl REQUIRED)

find_program(TRIEHASH_EXECUTABLE NAMES triehash)
find_program(SQV_EXECUTABLE NAMES sqv)

if (NOT TRIEHASH_EXECUTABLE)
  message(FATAL_ERROR "Could not find triehash executable")
endif()

if(USE_NLS)
  find_package(Intl REQUIRED)
  link_libraries(${Intl_LIBRARIES})
  include_directories(${Intl_INCLUDE_DIRS})
endif()

# Add large file support
add_compile_options(${LFS_COMPILE_OPTIONS})
add_definitions(${LFS_DEFINITIONS})
link_libraries(${LFS_LIBRARIES})

# Set compiler flags
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)

add_optional_compile_options(Wall)
add_optional_compile_options(Wextra)
add_optional_compile_options(Wcast-align)
add_optional_compile_options(Wlogical-op)
add_optional_compile_options(Wredundant-decls)
add_optional_compile_options(Wmissing-declarations)
add_optional_compile_options(Wunsafe-loop-optimizations)
add_optional_compile_options(Wctor-dtor-privacy)
add_optional_compile_options(Wdisabled-optimization)
add_optional_compile_options(Winit-self)
add_optional_compile_options(Wmissing-include-dirs)
add_optional_compile_options(Wnoexcept)
add_optional_compile_options(Wsign-promo)
add_optional_compile_options(Wundef)
add_optional_compile_options(Wdouble-promotion)
add_optional_compile_options(Wsuggest-override)
add_optional_compile_options(Werror=suggest-override)
add_optional_compile_options(Werror=return-type)
add_optional_compile_options(Wp,-D_GLIBCXX_ASSERTIONS)
# apt-ftparchive dependencies
find_package(Berkeley REQUIRED)
if (BERKELEY_FOUND)
  set(HAVE_BDB 1)
endif()

find_package(OpenSSL REQUIRED)

# (De)Compressor libraries
find_package(ZLIB REQUIRED)
if (ZLIB_FOUND)
  set(HAVE_ZLIB 1)
endif()


find_package(BZip2 REQUIRED)
if (BZIP2_FOUND)
  set(HAVE_BZ2 1)
endif()

find_package(LZMA REQUIRED)
if (LZMA_FOUND)
  set(HAVE_LZMA 1)
endif()


find_package(LZ4 REQUIRED)
if (LZ4_FOUND)
  set(HAVE_LZ4 1)
endif()

find_package(ZSTD)
if (ZSTD_FOUND)
  set(HAVE_ZSTD 1)
endif()


find_package(Udev)
if (UDEV_FOUND)
  set(HAVE_UDEV 1)
endif()

find_package(Systemd)
if (SYSTEMD_FOUND)
  set(HAVE_SYSTEMD 1)
endif()

find_package(SECCOMP)
if (SECCOMP_FOUND)
  set(HAVE_SECCOMP 1)
endif()

find_package(XXHASH REQUIRED)

# Mount()ing and stat()ing and friends
check_symbol_exists(statfs sys/vfs.h HAVE_VFS_H)
check_include_files(sys/params.h HAVE_PARAMS_H)
check_symbol_exists(statfs sys/mount.h HAVE_MOUNT_H)
if (NOT HAVE_VFS_H AND NOT HAVE_MOUNT_H)
  message(FATAL_ERROR "Can find neither statvfs() nor statfs()")
endif()

check_function_exists(statvfs HAVE_STATVFS)
if (NOT HAVE_STATVFS)
  configure_file(CMake/statvfs.h.in ${PROJECT_BINARY_DIR}/include/sys/statvfs.h COPYONLY)
endif()

CHECK_STRUCT_HAS_MEMBER("struct statfs" f_type sys/vfs.h HAVE_STRUCT_STATFS_F_TYPE)

# Other checks
check_function_exists(getresuid HAVE_GETRESUID)
check_function_exists(getresgid HAVE_GETRESGID)
check_function_exists(setresuid HAVE_SETRESUID)
check_function_exists(setresgid HAVE_SETRESGID)
check_function_exists(ptsname_r HAVE_PTSNAME_R)
check_function_exists(timegm HAVE_TIMEGM)
test_big_endian(WORDS_BIGENDIAN)

# FreeBSD
add_definitions(-D_WITH_GETLINE=1)

CHECK_INCLUDE_FILES(machine/endian.h HAVE_MACHINE_ENDIAN_H)
CHECK_INCLUDE_FILES(sys/endian.h HAVE_SYS_ENDIAN_H)
CHECK_INCLUDE_FILES(endian.h HAVE_ENDIAN_H)
if (NOT HAVE_ENDIAN_H)
  if (HAVE_MACHINE_ENDIAN_H OR HAVE_SYS_ENDIAN_H)
    configure_file(CMake/endian.h.in ${PROJECT_BINARY_DIR}/include/endian.h)
  else()
    message(FATAL_ERROR "Cannot find endian.h")
  endif()
endif()


include(CheckTypeSize)
set(CMAKE_EXTRA_INCLUDE_FILES "signal.h")
check_type_size("sig_t" SIG_T LANGUAGE "CXX")
check_type_size("sighandler_t" SIGHANDLER_T LANGUAGE "CXX")
set(CMAKE_EXTRA_INCLUDE_FILES)
if (NOT HAVE_SIGHANDLER_T)
  if (HAVE_SIG_T)
    add_definitions(-Dsighandler_t=sig_t)
  else()
    message(FATAL_ERROR "Platform defines neither sig_t nor sighandler_t")
  endif()
endif()

# Handle resolving
check_function_exists(res_ninit HAVE_LIBC_RESOLV)
if(HAVE_LIBC_RESOLV)
    set(RESOLV_LIBRARIES)
else()
    set(RESOLV_LIBRARIES -lresolv)
endif()

# Configure some variables like package, version and architecture.
set(PACKAGE ${PROJECT_NAME})
set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
set(PACKAGE_VERSION "2.9.26")
string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})

if (NOT DEFINED DPKG_DATADIR)
  execute_process(COMMAND ${PERL_EXECUTABLE} -MDpkg -e "print $Dpkg::DATADIR;"
                  OUTPUT_VARIABLE DPKG_DATADIR_CMD OUTPUT_STRIP_TRAILING_WHITESPACE
                  COMMAND_ERROR_IS_FATAL ANY)
  message(STATUS "Found dpkg data dir: ${DPKG_DATADIR_CMD}")
  set(DPKG_DATADIR "${DPKG_DATADIR_CMD}" CACHE PATH "dpkg data directory")
endif()
if (NOT DEFINED COMMON_ARCH)
  execute_process(COMMAND dpkg-architecture -qDEB_HOST_ARCH
                  OUTPUT_VARIABLE COMMON_ARCH OUTPUT_STRIP_TRAILING_WHITESPACE
                  COMMAND_ERROR_IS_FATAL ANY)
endif()
if (NOT DEFINED ROOT_GROUP)
  execute_process(COMMAND id -gn root
                  OUTPUT_VARIABLE ROOT_GROUP OUTPUT_STRIP_TRAILING_WHITESPACE
                  COMMAND_ERROR_IS_FATAL ANY)
  message(STATUS "Found root group: ${ROOT_GROUP}")
endif()
set(ROOT_GROUP "${ROOT_GROUP}" CACHE STRING "Group of root (e.g.: wheel or root)")

# Set various directories
set(STATE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/apt" CACHE PATH "Your /var/lib/apt")
set(CACHE_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/cache/apt" CACHE PATH "Your /var/cache/apt")
set(LOG_DIR "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/log/apt" CACHE PATH "Your /var/log/apt")
set(CONF_DIR "${CMAKE_INSTALL_FULL_SYSCONFDIR}/apt" CACHE PATH "Your /etc/apt")
set(LIBEXEC_DIR "${CMAKE_INSTALL_FULL_LIBEXECDIR}/apt" CACHE PATH "Your /usr/libexec/apt")
set(BIN_DIR "${CMAKE_INSTALL_FULL_BINDIR}")

# Setup the default pager and the environment
set(DEFAULT_PAGER "pager" CACHE STRING "The default pager to use for commands that support it.")
set(PAGER_ENV "LESS=FRX\\nMORE=FRX\\nLV=C" CACHE STRING "Environment to pass to the pager. One variable per line, with escaped newlines")

# Configure our configuration headers (config.h and apti18n.h)
configure_file(CMake/config.h.in ${PROJECT_BINARY_DIR}/include/config.h)
configure_file(CMake/apti18n.h.in ${PROJECT_BINARY_DIR}/include/apti18n.h)

# Add our subdirectories
add_subdirectory(vendor)
if (NOT USE_SYSTEM_APTPKG)
add_subdirectory(apt-pkg)
add_subdirectory(apt-private)
endif()
add_subdirectory(cmdline)
add_subdirectory(completions)
add_subdirectory(doc)
add_subdirectory(dselect)
add_subdirectory(ftparchive)
add_subdirectory(methods)
add_subdirectory(test)

if (USE_NLS)
add_subdirectory(po)
endif()

if(TARGET update-po AND TARGET update-po4a)
# Link update-po4a into the update-po target
add_dependencies(update-po update-po4a)
endif()

# Create our directories.
install_empty_directories(
  ${CONF_DIR}/apt.conf.d
  ${CONF_DIR}/auth.conf.d
  ${CONF_DIR}/preferences.d
  ${CONF_DIR}/sources.list.d
  ${CONF_DIR}/trusted.gpg.d
  ${CACHE_DIR}/archives/partial
  ${STATE_DIR}/lists/partial
  ${STATE_DIR}/mirrors/partial
  ${STATE_DIR}/periodic
  ${LOG_DIR}
)

=== apt-pkg/CMakeLists.txt ===
# Include apt-pkg directly, as some files have #include <system.h>
include_directories(${PROJECT_BINARY_DIR}/include/apt-pkg)

file(MAKE_DIRECTORY ${PROJECT_BINARY_DIR}/include/apt-pkg/)
execute_process(COMMAND grep -v "^#" "${CMAKE_CURRENT_SOURCE_DIR}/tagfile-keys.list"
		OUTPUT_FILE "${CMAKE_CURRENT_BINARY_DIR}/tagfile-keys.clean.list"
		COMMAND_ERROR_IS_FATAL ANY)
execute_process(COMMAND ${TRIEHASH_EXECUTABLE}
                        --ignore-case
                         --header ${PROJECT_BINARY_DIR}/include/apt-pkg/tagfile-keys.h
                         --code ${CMAKE_CURRENT_BINARY_DIR}/tagfile-keys.cc
                         --enum-class
                         --enum-name pkgTagSection::Key
                         --function-name pkgTagHash
                         --include "<apt-pkg/tagfile.h>"
                         --include "<apt-pkg/header-is-private.h>"
                         "${CMAKE_CURRENT_BINARY_DIR}/tagfile-keys.clean.list"
                COMMAND_ERROR_IS_FATAL ANY)
set_property(DIRECTORY APPEND PROPERTY CMAKE_CONFIGURE_DEPENDS "tagfile-keys.list")
set_source_files_properties("${CMAKE_CURRENT_BINARY_DIR}/tagfile-keys.cc" PROPERTIES COMPILE_DEFINITIONS APT_COMPILING_APT)


# Set the version of the library
execute_process(COMMAND awk -v ORS=. "/^\#define APT_PKG_M/ {print \$3}"
                COMMAND sed "s/\\.\$//"
                INPUT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/contrib/macros.h
                OUTPUT_VARIABLE MAJOR OUTPUT_STRIP_TRAILING_WHITESPACE
                COMMAND_ERROR_IS_FATAL ANY)
execute_process(COMMAND grep "^#define APT_PKG_RELEASE"
                COMMAND cut -d " " -f 3
                INPUT_FILE ${CMAKE_CURRENT_SOURCE_DIR}/contrib/macros.h
                OUTPUT_VARIABLE MINOR OUTPUT_STRIP_TRAILING_WHITESPACE
                COMMAND_ERROR_IS_FATAL ANY)

message(STATUS "Building libapt-pkg ${MAJOR} (release ${MINOR})")
set(APT_PKG_MAJOR ${MAJOR} PARENT_SCOPE) # exporting for methods/CMakeLists.txt

configure_file(apt-pkg.pc.in ${CMAKE_CURRENT_BINARY_DIR}/apt-pkg.pc @ONLY)

# Definition of the C++ files used to build the library - note that this
# is expanded at CMake time, so you have to rerun cmake if you add or remove
# a file (you can just run cmake . in the build directory)
file(GLOB_RECURSE library "*.cc"  "${CMAKE_CURRENT_BINARY_DIR}/tagfile-keys.cc")
file(GLOB_RECURSE headers "*.h")

# Create a library using the C++ files
add_library(apt-pkg SHARED ${library})
add_dependencies(apt-pkg apt-pkg-versionscript)
# Link the library and set the SONAME
target_include_directories(apt-pkg
                           PRIVATE ${ZLIB_INCLUDE_DIRS}
                                   ${BZIP2_INCLUDE_DIR}
                                   ${LZMA_INCLUDE_DIRS}
                                   ${LZ4_INCLUDE_DIRS}
                                   $<$<BOOL:${ZSTD_FOUND}>:${ZSTD_INCLUDE_DIRS}>
                                   $<$<BOOL:${UDEV_FOUND}>:${UDEV_INCLUDE_DIRS}>
                                   $<$<BOOL:${SYSTEMD_FOUND}>:${SYSTEMD_INCLUDE_DIRS}>
                                   ${ICONV_INCLUDE_DIRS}
                                   ${OPENSSL_INCLUDE_DIRS}
                                   $<$<BOOL:${XXHASH_FOUND}>:${XXHASH_INCLUDE_DIRS}>
)

target_link_libraries(apt-pkg
                      PRIVATE -lutil ${CMAKE_DL_LIBS} ${RESOLV_LIBRARIES}
                             ${CMAKE_THREAD_LIBS_INIT}
                             ${ZLIB_LIBRARIES}
                             ${BZIP2_LIBRARIES}
                             ${LZMA_LIBRARIES}
                             ${LZ4_LIBRARIES}
                             $<$<BOOL:${ZSTD_FOUND}>:${ZSTD_LIBRARIES}>
                             $<$<BOOL:${UDEV_FOUND}>:${UDEV_LIBRARIES}>
                             $<$<BOOL:${SYSTEMD_FOUND}>:${SYSTEMD_LIBRARIES}>
                             ${ICONV_LIBRARIES}
                             OpenSSL::Crypto
                             $<$<BOOL:${XXHASH_FOUND}>:${XXHASH_LIBRARIES}>
)
set_target_properties(apt-pkg PROPERTIES VERSION ${MAJOR}.${MINOR})
set_target_properties(apt-pkg PROPERTIES SOVERSION ${MAJOR})
set_target_properties(apt-pkg PROPERTIES CXX_VISIBILITY_PRESET hidden)
add_version_script(apt-pkg)

# Install the library and the header files
install(TARGETS apt-pkg LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(FILES ${headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/apt-pkg)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/apt-pkg.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
flatify(${PROJECT_BINARY_DIR}/include/apt-pkg/ "${headers}")

if(CMAKE_BUILD_TYPE STREQUAL "Coverage")
  target_link_libraries(apt-pkg PUBLIC noprofile)
endif()

=== debian/changelog ===
apt (2.9.26.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 30 Jan 2025 13:55:19 +0200

=== debian/control ===
Source: apt
Section: admin
Priority: required
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Michael Vogt <mvo@debian.org>,
           Julian Andres Klode <jak@debian.org>,
           David Kalnischkies <donkult@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.1.1
Build-Depends: dpkg-dev (>= 1.22.5) <!pkg.apt.ci>,
               cmake (>= 3.4),
               debhelper-compat (= 12),
               docbook-xml <!nodoc>,
               docbook-xsl <!nodoc>,
               dpkg-dev (>= 1.20.8),
               gettext (>= 0.12),
               googletest <!nocheck> | libgtest-dev <!nocheck>,
               libbz2-dev,
               libdb-dev,
               libssl-dev,
               liblz4-dev (>= 0.0~r126),
               liblzma-dev,
               libseccomp-dev (>= 2.4.2) [amd64 arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x hppa powerpc powerpcspe ppc64 x32],
               libudev-dev [linux-any],
               libxxhash-dev (>= 0.8),
               libzstd-dev (>= 1.0),
               ninja-build,
               pkg-config,
               po4a (>= 0.34-2) <!nodoc>,
               sqv [amd64 arm64 armel armhf i386 mips64el ppc64el riscv64 s390x hurd-amd64 hurd-i386 loong64 powerpc ppc64 sparc64] <!pkg.apt.nosqv> | gpgv,
               triehash,
               xsltproc <!nodoc>,
               zlib1g-dev
Build-Depends-Indep: doxygen <!nodoc !pkg.apt.nodoxygen>, graphviz <!nodoc !pkg.apt.nodoxygen>, w3m <!nodoc>
Vcs-Git: https://salsa.debian.org/apt-team/apt.git
Vcs-Browser: https://salsa.debian.org/apt-team/apt

Package: apt
Architecture: any
Depends: base-passwd (>= 3.6.1) | adduser,
         ${openpgp:Depends},
         libapt-pkg6.0t64 (>= ${binary:Version}),
         ${apt:keyring},
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: apt-transport-https (<< 1.5~alpha4~), apt-utils (<< 1.3~exp2~)
Breaks: apt-transport-https (<< 1.5~alpha4~),
        apt-utils (<< 1.3~exp2~),
        aptitude (<< 0.8.10)
Conflicts: apt-verify, libnettle8 (<< 3.9.1-2.2~)
Provides: apt-transport-https (= ${binary:Version})
Recommends: ca-certificates
Suggests: apt-doc,
          aptitude | synaptic | wajig,
          dpkg-dev (>= 1.17.2),
          gnupg | gnupg2 | gnupg1,
          powermgmt-base
Description: commandline package manager
 This package provides commandline tools for searching and
 managing as well as querying information about packages
 as a low-level access to all features of the libapt-pkg library.
 .
 These include:
  * apt-get for retrieval of packages and information about them
    from authenticated sources and for installation, upgrade and
    removal of packages together with their dependencies
  * apt-cache for querying available information about installed
    as well as installable packages
  * apt-cdrom to use removable media as a source for packages
  * apt-config as an interface to the configuration settings
  * apt-extracttemplates is used by debconf to prompt for configuration
    questions before installation.

Package: libapt-pkg6.0t64
Replaces: libapt-pkg6.0
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Breaks: libapt-pkg6.0 (<< ${source:Version}), appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
Recommends: apt (>= ${binary:Version})
Conflicts: libnettle8 (<< 3.9.1-2.2~)
Section: libs
Provides: ${t64:Provides}, libapt-pkg (= ${binary:Version})
Description: package management runtime library
 This library provides the common functionality for searching and
 managing packages as well as information about packages.
 Higher-level package managers can depend upon this library.
 .
 This includes:
  * retrieval of information about packages from multiple sources
  * retrieval of packages and all dependent packages
    needed to satisfy a request either through an internal
    solver or by interfacing with an external one
  * authenticating the sources and validating the retrieved data
  * installation and removal of packages in the system
  * providing different transports to retrieve data over cdrom and
    http(s) as well as an interface to add more transports like
    tor+http(s) (apt-transport-tor).

Package: apt-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: documentation for APT
 This package contains the user guide and offline guide for various
 APT tools which are provided in a html and a text-only version.

Package: libapt-pkg-dev
Architecture: any
Multi-Arch: same
Priority: optional
Pre-Depends: ${misc:Pre-Depends}
Depends: libapt-pkg (= ${binary:Version}),
         ${misc:Depends}
Section: libdevel
Description: development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Description: documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.
 .
 This includes the source code documentation generated by doxygen
 in html format.

Package: apt-utils
Architecture: any
Depends: apt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: package management related utility programs
 This package contains some less used commandline utilities related
 to package management with APT.
 .
  * apt-ftparchive is used to create Packages and other index files
    needed to publish an archive of Debian packages
  * apt-sortpkgs is a Packages/Sources file normalizer.

Package: apt-transport-https
Architecture: all
Multi-Arch: foreign
Depends: apt (>= 1.5~alpha4), ${misc:Depends}
Priority: optional
Section: oldlibs
Description: transitional package for https support
 This is a dummy transitional package - https support has been moved into
 the apt package in 1.5. It can be safely removed.

=== debian/rules ===
#!/usr/bin/make -f
# Copyright (C) 2009, 2016 Julian Andres Klode <jak@debian.org>
#
# Free Software, licensed under the GPL-2 or (at your option) any later version.
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# do not fail as we are just experimenting with symbol files for now
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

export CTEST_OUTPUT_ON_FAILURE=1


ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	configure_test_flags = -DWITH_TESTS=OFF
else
	configure_test_flags =
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_clean:
	cp COPYING debian/copyright
	dh_clean

override_dh_install-arch:
	dh_install -papt-utils -X/dump
	dh_install -papt -Xmethods/curl -Xmethods/curl+https -Xmethods/curl+http
	dh_install --remaining
	install -m 644 debian/apt.conf.autoremove debian/apt/etc/apt/apt.conf.d/01autoremove

override_dh_gencontrol:
	dh_gencontrol -- -Vapt:keyring="$(shell ./vendor/getinfo keyring-package)" -Vopenpgp:Depends=$(shell test -e /usr/bin/sqv && echo sqv || echo gpgv)

override_dh_installcron:
	dh_installcron --name=apt-compat


ifneq ($(filter pkg.apt.nodoxygen,$(DEB_BUILD_PROFILES)),)
override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_MANPAGES=ON -DWITH_DOC_EXAMPLES=ON
override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_GUIDES=ON -DWITH_DOC_EXAMPLES=ON
else
ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF
override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=OFF
else
override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_MANPAGES=ON -DWITH_DOC_EXAMPLES=ON
override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=ON
endif
endif

override_dh_auto_configure-arch override_dh_auto_configure-indep:
	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON $(configure_doc_flags) $(configure_test_flags)

## apt 2.9.27

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.26")
+set(PACKAGE_VERSION "2.9.27")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.27) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Symbols: Update for 2.9.23/2.9.25
  * Updates for the '3.0' solver:
    - Soft unit propagation for optional items
    - Do not accidentally solve new Recommends before hard dependencies
    - Use a propagation queue instead of recursively propagating facts
  * Correctly calculate kernel size in /boot (Closes: #1085184)
  * Measure BootSize as integer

  [ Boyuan Yang ]
  * po/zh_CN.po: Refresh Simplified Chinese translation for apt

  [ Rafael Fontenelle ]
  * Brazilian Portuguese program translation update (Closes: #1092563)

  [ David Kalnischkies ]
  * Cleanups and fixes for cache counters/size fields:
    - Do not overflow ver/desc<->file relation counters
    - Drop unused description size info from binary cache
    - Drop unused version stanza size info from binary cache
    - Do not create descriptions structs for each architecture
    - Record all available sources for descriptions
    - Include Extra in the size counted for Version struct

  [ Samuel Thibault ]
  * Also support debian-ports modernization

 -- Julian Andres Klode <jak@debian.org>  Mon, 03 Feb 2025 13:44:58 +0100

## apt 2.9.28

=== debian/changelog ===
apt (2.9.28) unstable; urgency=medium

  [ Julian Andres Klode ]
  * modernize-sources: Avoid opening /dev/stdout for simulate
  * dpkg: Pass --admindir if a different one is specified; fixes issue
    where foreign architectures from the host were used when Dir is set.
  * Various updates to the '3.0' solver: Particularly it now has a clause
    database for reals rather than rediscovering clauses when backtracking.
    - refactor: Drop unused code, annotate [[nodiscard]] and const, simplify,
      extract functions, and particularly introduce the Clause class.
    - algorithm: Simplify work ordering. This may cause some changes in
      how dependencies are resolved.
    - algorithm: Replace PropagateInstall() with Discover() and then
      propagate based on the stored clauses. Clauses are discovered
      from package dependencies and persistent, i.e. they have no
      decision level associated. Discovery is incremental so far.
    - algorithm: Support comparing packages and versions, such that
      we can store both package and version variables in a clause.
    - algorithm: Use a package clause for optional roots. This allows
      deciding to keep an automatically installed package installed,
      without having to decide the version (and hence enqueue common
      dependencies first).
    - performance: Cache calls to policy.
    - performance: Cache all configuration calls
    - performance: Point to stored clauses, do not copy them
    - performance: Avoid std::vector for statically sized arrays. Due
      to adding libstdc++ assertions, vector range checks accounted
      for up to 20% of solver runtime.

  [ Christopher Bock ]
  * completion: Add modernize-sources (Closes: #1094904)
  * edit-sources: don't force .list

 -- Julian Andres Klode <jak@debian.org>  Fri, 07 Feb 2025 21:00:48 +0100

## apt 2.9.28.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.27")
+set(PACKAGE_VERSION "2.9.28")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.28.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sun, 09 Feb 2025 14:13:17 +0200

## apt 2.9.29

=== debian/changelog ===
apt (2.9.29) unstable; urgency=medium

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #1052411)
  * German program translation update (Closes: #1095681)

  [ Frans Spiesschaert ]
  * Dutch program translation update (Closes: #1095409)
  * Dutch manpages translation update (Closes: #1095411)

  [ Jean-Pierre Giraud ]
  * French manpage translation update (Closes: #1088326, #1050876)

  [ Arnaud Rebillout ]
  * test: Fix skipping test cases

  [ Peter Krefting ]
  * Swedish program translation update (Closes: #1070029)

  [ Julian Andres Klode ]
  * Add DepIterator::IsSatisfied(PkgIterator)
  * test: Support comments in --skip/--only files
  * Major 3.0 solver update, improving version selection, unit propagation,
    and as a result significantly performance (2x for apt-tests). Also new:
    - Phased updates are now supported
    - The number of broken test cases is down from 31 to 9
    - dist-upgrade now installs Essential packages
    - The order of alternatives in or groups is now better preserved
    - Recommends for upgrades of installed dependencies are now upgraded
      to Depends if they are new or previously satisfied; to avoid breaking
      Recommends or introducing unsatisfied Recommends in an upgrade.
    - A time out of 10s has been added that is checked whenever the solver
      backtracks to prevent practically infinite runtime.

 -- Julian Andres Klode <jak@debian.org>  Fri, 14 Feb 2025 19:42:43 +0100

## apt 2.9.29.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.28")
+set(PACKAGE_VERSION "2.9.29")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.29.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sat, 15 Feb 2025 14:15:40 +0200

## apt 2.9.30

=== debian/changelog ===
apt (2.9.30) unstable; urgency=medium

  * Upload libapt-pkg 7.0 ABI transition to unstable:
    - Use smart pointers in a whole bunch of places (probably only an API break)
    - Add a version script to hide any standard library symbols
    - Remove the functions marked as deprecated, such as PrintStatus and _strtabexpand
    - Introduce SourceVersion objects in the cache
    - Migrate from APT::StringView to std::string view and change a bunch of
      functions from std::string to std::string_view.
      Thanks to наб for the merge requests, very appreciated, that was a lot
      of busywork.
    Several other changes were already queued in the previous releases in
    #ifdef, please have a look at them.

 -- Julian Andres Klode <jak@debian.org>  Sun, 16 Feb 2025 17:58:07 +0100

## apt 2.9.30.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.29")
+set(PACKAGE_VERSION "2.9.30")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.30.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Mon, 17 Feb 2025 12:51:22 +0200

## apt 2.9.31

=== debian/changelog ===
apt (2.9.31) unstable; urgency=medium

  [ Julian Andres Klode ]
  * edsp: Use buffered writes for EDSP dumps
  * strutl: Add missing #include <cstdint> [gcc 15] (Closes: #1096322)
  * refactor: Deduplicate and Move SectionInSubTree to Configuration
  * solver3: Fix test-apt-move-and-forget-manual-sections
  * solver3: Fix error stack handling
  * test: Improve output cleaning for solver progress
  * Fix crash in VersionExtra using --with-source etc (Closes: #1098702)
  * test-apt-ftparchive-cachedb: Avoid race condition in test case

  [ Miroslav Kure ]
  * Czech program translation update (Closes: #1095976)

  [ Helge Kreutzmann ]
  * German program translation update (Closes: #1098456)
  * German manpage translation update (Closes: #1099118)

  [ David Kalnischkies ]
  * apt-ftparchive: Do not output locale dependent dsc file size

  [ Алексей Шилин ]
  * Russian translation update (Closes: #1098937)

 -- Julian Andres Klode <jak@debian.org>  Fri, 28 Feb 2025 17:49:31 +0100

## apt 2.9.31.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.30")
+set(PACKAGE_VERSION "2.9.31")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.31.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Sat, 01 Mar 2025 13:35:46 +0200

## apt 2.9.33

=== debian/changelog ===
apt (2.9.33) unstable; urgency=medium

  * 3.0 solver updates:
    - Fix detection of satisfied recommends for pkg variables
    - Print correct reason when registering dependency
    - Correctly determine 'same' or groups (a|c was same as a|b...)
    - Fix Recommends/Suggests vs Enhances confusion (LP: #2101800)
    - Fix test-resolve-by-keep-new-recommend
  * edsp: Set Forbid-New-Install/Forbid-Remove: no if other is set such
    that `apt upgrade` dumps are different from `apt-get upgrade` ones
    and can be correctly reproduced (as the one in the LP bug above).
  * test: Fix some weird editing artefact introduced in 2.9.32 causing
    a test to effectively be skipped.

 -- Julian Andres Klode <jak@debian.org>  Wed, 12 Mar 2025 19:22:59 +0100

apt (2.9.32) unstable; urgency=medium

  * Rewordings and documentation updates:
    - Add doc/design/install.md: Installation design
    - Replace "GPG error" with "OpenPGP signature verification failed"
  * Bug fix: Correctly detect obsolete packages in EDSP
    - refactor obsolete checks to use VerFileIterator::Downloadable()
    - Consider 0-size debs not downloadable, set a size in EDSP
    - edsp: Write 'Size' to the EDSP files
  * UX: Produce more human-readable dependency errors in 3.0 solver.
    - test: Grep continuation lines in error messages
    - solver3: Simplify Var pointer tagging
    - solver3: cleanup operators for Var
    - solver3: Support pretty printing clauses
    - solver3: Verbose error messages
    The output now has multiple lines, prints the underlying concrete
    dependency (foo Depends bar), and prints paths not taken.
  * Bug fixes:
    - solver3: bestReason: Only find actual assignments [i.e. when the
      path to a decision is determined for printing, we sometimes picked
      assignments with the wrong polarity, e.g. when determining "why not foo"
      in "foo Conflicts mail-transport-agent" we might have picked a
      decision "not exim4" rather than a choice "postfix"].
    - solver3: Do not prefer new installs over manually installed obsoletes.
      (LP: #2100247) - We still try dependencies with obsolete packages
      last, even if manual, so a "Depends: new" is processed before
      "Depends: new | obsolete" either way.
  * Feature: Introduce transaction support and upgrade count for pkgDepCache.
    - Introduce pkgDepCache::Transaction for transactional depcache updates
    - depcache: Add a new UpgradeCount() member
  * Feature: Fall back to the 3.0 solver if internal failed, or apport is
    installed.
    - Evaluate and fall back to the 3.0 solver
    - Print --solver 3.0 explanation if both internal and it failed
  * Both features have been shipped for several weeks in Ubuntu already and
    received minor bug fixes and additional test cases.

 -- Julian Andres Klode <jak@debian.org>  Sun, 09 Mar 2025 18:19:14 +0100

## apt 2.9.33devuan1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.31")
+set(PACKAGE_VERSION "2.9.33devuan1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.33devuan1) unstable; urgency=medium

  * Merge apd Debian release 2.9.33

 -- Andreas Messer <andi@bastelmap.de>  Fri, 21 Mar 2025 12:42:06 +0100

apt (2.9.31devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.9.31

 -- Andreas Messer <andi@bastelmap.de>  Sun, 09 Mar 2025 19:18:30 +0100

apt (2.9.30devuan1) unstable; urgency=medium

  * Merge apt Debian releases until 2.9.30

 -- Andreas Messer <andi@bastelmap.de>  Mon, 24 Feb 2025 20:23:56 +0100

apt (2.9.27devuan1) unstable; urgency=medium

  * Merge apt Debian releases until 2.9.27

 -- Andreas Messer <andi@bastelmap.de>  Mon, 10 Feb 2025 19:11:00 +0100

apt (2.9.23devuan1) unstable; urgency=medium

  * Merge apt Debian releases 2.9.22 and 2.9.23

 -- Andreas Messer <andi@bastelmap.de>  Sun, 19 Jan 2025 16:37:08 +0100

apt (2.9.21devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.9.18 - 2.9.21

 -- Andreas Messer <andi@bastelmap.de>  Tue, 07 Jan 2025 21:06:57 +0100

apt (2.9.17devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.9.17

 -- Andreas Messer <andi@bastelmap.de>  Sun, 22 Dec 2024 13:10:15 +0100

apt (2.9.16devuan1) unstable; urgency=medium

  * Merge apt Debian releases 2.9.11 to 2.9.16

 -- Andreas Messer <andi@bastelmap.de>  Thu, 05 Dec 2024 19:17:05 +0100

apt (2.9.10devuan1) unstable; urgency=medium

  * Merge apt Debian releases 2.9.7, 2.9.8, 2.9.9 and 2.9.10

 -- Andreas Messer <andi@bastelmap.de>  Wed, 13 Nov 2024 19:38:21 +0100

apt (2.9.6devuan1) unstable; urgency=medium

  * Merge Debian releases 2.9.3, 2.9.4, 2.9.5 and 2.9.6

 -- Andreas Messer <andi@bastelmap.de>  Sat, 27 Jul 2024 22:09:53 +0200

apt (2.9.2devuan1) unstable; urgency=medium

  * Merge Debian Releases 2.9.0, 2.9.1 and 2.9.2

 -- Andreas Messer <andi@bastelmap.de>  Thu, 02 May 2024 20:47:47 +0200

apt (2.7.14devuan1) unstable; urgency=medium

  * Merge Debian release 2.7.13 and 2.7.14

 -- Andreas Messer <andi@bastelmap.de>  Sat, 23 Mar 2024 23:40:39 +0100

apt (2.7.12devuan1) unstable; urgency=medium

  * Merge apt Debian releases 2.7.11 and 2.7.12

 -- Andreas Messer <andi@bastelmap.de>  Sun, 10 Mar 2024 12:21:46 +0100

apt (2.7.10devuan1) unstable; urgency=medium

  * merge apt Debian releases 2.7.7, 2.7.8, 2.7.9 and 2.7.10

 -- Andreas Messer <andi@bastelmap.de>  Tue, 06 Feb 2024 18:24:27 +0100

apt (2.7.6devuan2) unstable; urgency=medium

  * Do not require merged-usr

 -- Andreas Messer <andi@bastelmap.de>  Tue, 03 Oct 2023 18:08:11 +0200

apt (2.7.6devuan1) unstable; urgency=medium

  * Merge apt Debian Release 2.7.6

 -- Andreas Messer <andi@bastelmap.de>  Tue, 03 Oct 2023 16:01:28 +0200

apt (2.7.3devuan1) unstable; urgency=medium

  * Merge apt Debian Release 2.7.3

 -- Andreas Messer <andi@bastelmap.de>  Sat, 19 Aug 2023 11:31:49 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,9 @@
 else
 	configure_test_flags =
 endif
+
+# Devuan: Do not require usrmerge for now
+configure_usrmerge_flags = -DREQUIRE_MERGED_USR=OFF
 
 %:
 	dh $@ --buildsystem=cmake+ninja
@@ -36,19 +39,29 @@
 override_dh_installcron:
 	dh_installcron --name=apt-compat
 
+override_dh_installsystemd:
+	# entirely disable systemd rules
+
+override_dh_installsystemd_disabled_:
+	# Do not restart "apt-daily.service" because this script runs
+	# unattended-upgrades. So if apt itself is upgraded as part of
+	# an unattended-upgrades run it would kill itself
+	dh_installsystemd -papt apt-daily.timer apt-daily-upgrade.timer
+	dh_installsystemd -papt --no-restart-on-upgrade --no-restart-after-upgrade --no-start apt-daily.service apt-daily-upgrade.service
+	dh_installsystemd --remaining-packages
 
 ifneq ($(filter pkg.apt.nodoxygen,$(DEB_BUILD_PROFILES)),)
-override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_MANPAGES=ON -DWITH_DOC_EXAMPLES=ON
-override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_GUIDES=ON -DWITH_DOC_EXAMPLES=ON
+override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_MANPAGES=ON -DWITH_DOC_EXAMPLES=ON -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
+override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_GUIDES=ON -DWITH_DOC_EXAMPLES=ON -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
 else
 ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
-override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF
-override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=OFF
+override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
+override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=OFF -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
 else
-override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_MANPAGES=ON -DWITH_DOC_EXAMPLES=ON
-override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=ON
+override_dh_auto_configure-arch: configure_doc_flags=-DWITH_DOC=OFF -DWITH_DOC_MANPAGES=ON -DWITH_DOC_EXAMPLES=ON -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
+override_dh_auto_configure-indep: configure_doc_flags=-DWITH_DOC=ON -DCMAKE_DISABLE_FIND_PACKAGE_Systemd=TRUE
 endif
 endif
 
 override_dh_auto_configure-arch override_dh_auto_configure-indep:
-	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON $(configure_doc_flags) $(configure_test_flags)
+	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON $(configure_doc_flags) $(configure_test_flags) $(configure_usrmerge_flags)

## apt 2.9.33.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.33devuan1")
+set(PACKAGE_VERSION "2.9.33")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.33.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 13 Mar 2025 14:25:20 +0200

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,7 @@
 Architecture: any
 Depends: base-passwd (>= 3.6.1) | adduser,
          ${openpgp:Depends},
-         libapt-pkg6.0t64 (>= ${binary:Version}),
+         libapt-pkg7.0 (>= ${binary:Version}),
          ${apt:keyring},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -71,14 +71,13 @@
   * apt-extracttemplates is used by debconf to prompt for configuration
     questions before installation.
 
-Package: libapt-pkg6.0t64
-Replaces: libapt-pkg6.0
+Package: libapt-pkg7.0
 Architecture: any
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
-Breaks: libapt-pkg6.0 (<< ${source:Version}), appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
+Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
 Recommends: apt (>= ${binary:Version})
 Conflicts: libnettle8 (<< 3.9.1-2.2~)
 Section: libs

## apt 2.9.34

=== debian/changelog ===
apt (2.9.34) unstable; urgency=medium

  [ Julian Andres Klode ]
  * Fix uploads to errors.ubuntu.com with whoopsie:
    - zstd: The compressor level should be -6, not -19
    - edsp: Add functionality to only write relevant packages
    - solver evaluation: write minimized solver dumps
    - edsp: Dump minimized Dir::Log::Solver logs
    - solver3: Use zstd-compressed, base64-encoded dumps
    - solver3: Avoid empty ErrorMessage field in evaluation crash report
  * solver3: Only hide ver->pkg clauses, not pkg->ver version selection ones
    - previously we hid version information vital to the understanding
    - thanks to Helmut Grohne for the report
  * solver3: Record manual flag before discovering packages (LP: #2102720)
  * solver3: Handle previously satisfied Suggests last and do not install
    new packages for Suggests (LP: #2103556)

  [ Johannes Schauer Marin Rodrigues ]
  * apt-pkg/solver3.h: avoid static_assert(false)
  * cmdline/apt-get.cc: emit Signed-By field and support $(SIGNED_BY) in
    apt-get indextargets --format

  [ Christopher Bock ]
  * doc/sources.list.5.xml: snapshot infos

 -- Julian Andres Klode <jak@debian.org>  Thu, 20 Mar 2025 22:45:30 +0100

## apt 2.9.34devuan1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.33")
+set(PACKAGE_VERSION "2.9.34devuan1")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.34devuan1) unstable; urgency=medium

  * Merge apt Debian release 2.9.34

 -- Andreas Messer <andi@bastelmap.de>  Thu, 03 Apr 2025 16:13:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,7 @@
 Source: apt
 Section: admin
 Priority: required
-Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Michael Vogt <mvo@debian.org>,
-           Julian Andres Klode <jak@debian.org>,
-           David Kalnischkies <donkult@debian.org>
+Maintainer: Andreas Messer <andi@bastelmap.de>
 Rules-Requires-Root: no
 Standards-Version: 4.1.1
 Build-Depends: dpkg-dev (>= 1.22.5) <!pkg.apt.ci>,
@@ -32,8 +29,9 @@
                xsltproc <!nodoc>,
                zlib1g-dev
 Build-Depends-Indep: doxygen <!nodoc !pkg.apt.nodoxygen>, graphviz <!nodoc !pkg.apt.nodoxygen>, w3m <!nodoc>
-Vcs-Git: https://salsa.debian.org/apt-team/apt.git
-Vcs-Browser: https://salsa.debian.org/apt-team/apt
+Vcs-Git: https://git.devuan.org/devuan/apt.git
+Vcs-Browser: https://git.devuan.org/devuan/apt
+Origin: Devuan
 
 Package: apt
 Architecture: any
@@ -76,7 +74,7 @@
 Multi-Arch: same
 Priority: optional
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: appstream (<< 0.9.0-3~), apt (<< 1.6~), aptitude (<< 0.8.9), libapt-inst1.5 (<< 0.9.9~), dpkg (<< 1.20.8)
 Recommends: apt (>= ${binary:Version})
 Conflicts: libnettle8 (<< 3.9.1-2.2~)

## apt 2.9.34.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.34devuan1")
+set(PACKAGE_VERSION "2.9.34")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)

=== debian/changelog ===
apt (2.9.34.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 21 Mar 2025 15:59:58 +0200

## apt 2.9.35

=== debian/changelog ===
apt (2.9.35) unstable; urgency=medium

  * Respect custom LESS/MORE/LV variables (LP: #2103921)
  * solver3: Correctly deb822-escape error message in evaluation report
    (LP: #2104276)
  * pager: Also set SMK in LESS, fix LV=C to be LV=-c (LP: #2104280)

 -- Julian Andres Klode <jak@debian.org>  Thu, 27 Mar 2025 22:52:21 +0100

apt (0.8.16~exp6) experimental; urgency=

## apt 2.9.35.0nosystemd1

=== CMakeLists.txt ===
--- 
+++ 
@@ -204,7 +204,7 @@
 # Configure some variables like package, version and architecture.
 set(PACKAGE ${PROJECT_NAME})
 set(PACKAGE_MAIL "APT Development Team <deity@lists.debian.org>")
-set(PACKAGE_VERSION "2.9.34")
+set(PACKAGE_VERSION "2.9.35")
 string(REGEX MATCH "^[0-9.]+" PROJECT_VERSION ${PACKAGE_VERSION})
 
 if (NOT DEFINED DPKG_DATADIR)
@@ -237,7 +237,7 @@
 
 # Setup the default pager and the environment
 set(DEFAULT_PAGER "pager" CACHE STRING "The default pager to use for commands that support it.")
-set(PAGER_ENV "LESS=FRX\\nMORE=FRX\\nLV=C" CACHE STRING "Environment to pass to the pager. One variable per line, with escaped newlines")
+set(PAGER_ENV "LESS=FRSXMK\\nMORE=FRX\\nLV=-c" CACHE STRING "Environment to pass to the pager. One variable per line, with escaped newlines")
 
 # Configure our configuration headers (config.h and apti18n.h)
 configure_file(CMake/config.h.in ${PROJECT_BINARY_DIR}/include/config.h)

=== debian/changelog ===
apt (2.9.35.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 28 Mar 2025 18:41:34 +0200

## apt 3.0

=== DESCRIPTION ===
Package: apt
Title: Asymmetric Price Transmission
Version: 3.0
Date: 2020-04-30
Author: Changyou Sun <cs258@msstate.edu>
Maintainer: Changyou Sun <cs258@msstate.edu>
Depends: R (>= 3.0.0), erer
Imports: car, urca
Description: Asymmetric price transmission between two time series is assessed. Several functions are available for linear and nonlinear threshold cointegration, and furthermore, symmetric and asymmetric error correction model.
License: GPL
LazyLoad: yes
NeedsCompilation: no
Packaged: 2020-05-01 00:21:56 UTC; csun
Repository: CRAN
Date/Publication: 2020-05-01 06:10:02 UTC
